package jp.sourceforge.projects.ee2e.core.cf;

import jp.sourceforge.projects.ee2e.core.editors.EE2ECompleteMark160;
import jp.sourceforge.projects.ee2e.core.editors.EE2EMenuBehavior;

/**
 * To change this generated comment edit the template variable "typecomment":
 * Window&gt;Preferences&gt;Java&gt;Templates.
 * To enable and disable the creation of type comments go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation.
 *
 * @author Toshikazu Ando [ ando@park.ruru.ne.jp ]
 */
public class EE2ECFSdoc extends EE2ECFXml {
    public EE2ECFSdoc() {
        super();
    }
    /**
     * @see jp.sourceforge.projects.ee2e.core.editors.EE2ECF#getFactoryName()
     */
    public String getFactoryName() {
        return "sdoc";
    }
	/**
	 * @see jp.sourceforge.projects.ee2e.core.editors.EE2ECF#completeMarkNbsp()
	 */
    public EE2EMenuBehavior completeMarkNbsp() {
        return new EE2ECompleteMark160();
    }
	/**
	 * @see jp.sourceforge.projects.ee2e.core.editors.EE2ECFXml#getEmptyLineStatus()
	 */
    protected boolean getEmptyLineStatus() {
        return true;
    }
}